Subject: Re: Build failure: -Wno-unused-const-variable DNE on old GCC

From: Joe Perches <[email-masked]>
Date: Sat, 30 Jan 2016 09:37:15 -0800

On Sat, 2016-01-30 at 14:20 +0000, Maciej W. Rozycki wrote:
> On Thu, 7 Jan 2016, Brian Norris wrote:
> 
> > > Perhaps most uses of -Werror without some CONFIG_ guard
> > > should be removed or replaced by some other mechanism.
> > 
> > +1000. I'd personally like to see all one-off uses of -Werror removed.
> > 
> > > $ git grep -E "=\s*\-Werror" | grep -v CONFIG
> > > [...]
> > > arch/alpha/lib/Makefile:ccflags-y := -Werror
> > > arch/alpha/mm/Makefile:ccflags-y := -Werror
> > > arch/alpha/oprofile/Makefile:ccflags-y := -Werror -Wno-sign-compare
> > > arch/metag/oprofile/Makefile:ccflags-y	+= -Werror
> > > arch/mips/Kbuild:subdir-ccflags-y := -Werror
> > 
> > ^^ I always patch this one out when build-testing MIPS, since I like to
> > turn up warning levels (e.g., W=1), but not kill the build entirely.
> 
>  The MIPS port switched on -Werror years ago, because people submitted 
> awful code and couldn't be bothered unless the build crashed.  You're 
> welcome to patch your own tree, however I maintain it was a very good 
> decision, and TBH I think -Werror should be on globally.

That'd be easy to do with some CONFIG_COMPILER_ERROR type
rather than in specific directory Makefiles